## ros-rolling-moveit-setup-assistant 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_setup_assistant)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(moveit_core REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(moveit_ros_visualization REQUIRED)
find_package(rclcpp REQUIRED)
find_package(urdf REQUIRED)
find_package(srdfdom REQUIRED)
find_package(ompl REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  moveit_core
  moveit_ros_planning
  moveit_ros_visualization
  rclcpp
  urdf
  srdfdom
)

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
#set(HEADERS
#  src/widgets/navigation_widget.h
#  src/widgets/header_widget.h
#  src/widgets/setup_assistant_widget.h
#  src/widgets/start_screen_widget.h
#  src/widgets/planning_groups_widget.h
#  src/widgets/double_list_widget.h
#  src/widgets/kinematic_chain_widget.h
#  src/widgets/group_edit_widget.h
#  src/widgets/default_collisions_widget.h
#  src/widgets/robot_poses_widget.h
#  src/widgets/end_effectors_widget.h
#  src/widgets/virtual_joints_widget.h
#  src/widgets/passive_joints_widget.h
#  src/widgets/perception_widget.h
#  src/widgets/ros_controllers_widget.h
#  src/widgets/controller_edit_widget.h
#  src/widgets/configuration_files_widget.h
#  src/widgets/setup_screen_widget.h
#  src/widgets/simulation_widget.h
#  src/widgets/author_information_widget.h
#)

# Main Widgets Library - all screens (navigation options)
#add_library(${PROJECT_NAME}_widgets
#  src/widgets/start_screen_widget.cpp
#  src/widgets/planning_groups_widget.cpp
#  src/widgets/double_list_widget.cpp
#  src/widgets/kinematic_chain_widget.cpp
#  src/widgets/group_edit_widget.cpp
#  src/widgets/default_collisions_widget.cpp
#  src/widgets/robot_poses_widget.cpp
#  src/widgets/end_effectors_widget.cpp
#  src/widgets/virtual_joints_widget.cpp
#  src/widgets/passive_joints_widget.cpp
#  src/widgets/perception_widget.cpp
#  src/widgets/configuration_files_widget.cpp
#  src/widgets/ros_controllers_widget.cpp
#  src/widgets/controller_edit_widget.cpp
#  src/widgets/navigation_widget.cpp
#  src/widgets/header_widget.cpp
#  src/widgets/setup_assistant_widget.cpp
#  src/widgets/setup_screen_widget.cpp
#  src/widgets/simulation_widget.cpp
#  src/widgets/author_information_widget.cpp
#  ${HEADERS}
#)

# Tools Library
add_library(${PROJECT_NAME}_tools
  src/tools/compute_default_collisions.cpp
  src/tools/moveit_config_data.cpp
)
target_include_directories(${PROJECT_NAME}_tools PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
  ${OMPL_INCLUDE_DIRS}
)
ament_target_dependencies(
  ${PROJECT_NAME}_tools
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

add_executable(${PROJECT_NAME}_updater src/collisions_updater.cpp)
target_include_directories(${PROJECT_NAME}_updater PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
target_link_libraries(
  ${PROJECT_NAME}_updater
  ${PROJECT_NAME}_tools
)

ament_target_dependencies(
  ${PROJECT_NAME}_updater
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

set_target_properties(
  ${PROJECT_NAME}_updater
  PROPERTIES OUTPUT_NAME collisions_updater
  PREFIX ""
)

install(
  TARGETS
    ${PROJECT_NAME}_tools
    ${PROJECT_NAME}_updater
  EXPORT ${PROJECT_NAME}Targets
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  INCLUDES DESTINATION include
)
install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})
install(DIRECTORY resources DESTINATION share/${PROJECT_NAME})
install(DIRECTORY templates DESTINATION share/${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

# Unit tests
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-moveit-setup-assistant (2.4.0-1focal) focal; urgency=high

  * Replace NULL with nullptr (#961 <https://github.com/ros-planning/moveit2/issues/961>)
    * Fixes #841 <https://github.com/ros-planning/moveit2/issues/841>
  * Merge https://github.com/ros-planning/moveit/commit/a0ee2020c4a40d03a48044d71753ed23853a665d
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Load all planning pipelines into their own namespace (#2888 <https://github.com/ros-planning/moveit2/issues/2888>)
    Reduce code redundancy, specifying the namespace once in planning_pipeline.launch.
  * MSA: Correctly state not-found package name
    The warning message was accessing the config_data_ variable, which
    was assigned just a few lines later.
  * Contributors: Abishalini, Robert Haschke, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-setup-assistant (2.3.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-setup-assistant (2.3.1-1focal) focal; urgency=high

  * Replaced C-Style Cast with C++ Style Cast. (#935 <https://github.com/ros-planning/moveit2/issues/935>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Update README (#812 <https://github.com/ros-planning/moveit2/issues/812>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Ported the collision updater from ros1 to ros2 in the moveit_setup_assistant (#732 <https://github.com/ros-planning/moveit2/issues/732>)
  * Adds jiggle fraction arg to trajopt template (#2858 <https://github.com/ros-planning/moveit/issues/2858>)
  * Fixes _planning_pipeline.launch template input args defaults (#2849 <https://github.com/ros-planning/moveit/issues/2849>)
  * Fixes setup_assistant custom planner ns problem (#2842 <https://github.com/ros-planning/moveit/issues/2842>)
  * MSA: Mention optional Gazebo deps in package.xml templates (#2839 <https://github.com/ros-planning/moveit/issues/2839>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
    Co-authored-by: Robert Haschke <mailto:rhaschke@techfak.uni-bielefeld.de>
  * Revert $(dirname) use for rviz config file
    ... due to this bug: https://github.com/ros/ros_comm/issues/1487
    This partially reverts 442c3202a4124877afbb6e2bdee682c537f25553
  * Fix MSA templates (#2769 <https://github.com/ros-planning/moveit/issues/2769>)
    * create static_transform_publisher for each virtual joint type
    * another $(dirname)
    augmenting #2748 <https://github.com/ros-planning/moveit/issues/2748>
    * formatting
  * Contributors: Brennand Pierce, Dave Coleman, David V. Lu!!, Henning Kayser, Kaustubh, Parthasarathy Bana, Rick Staa, Robert Haschke, Sencer Yazıcı, Stephanie Eng, pvanlaar

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-setup-assistant (1.1.1-1focal) focal; urgency=high

  * [feature] Allow showing both, visual and collision geometry (#2352 <https://github.com/ros-planning/moveit/issues/2352>)
  * [fix] layout (#2349 <https://github.com/ros-planning/moveit/issues/2349>)
  * [fix] group editing (#2350 <https://github.com/ros-planning/moveit/issues/2350>)
  * [fix] only write default_planner_config field if any is selected (#2293 <https://github.com/ros-planning/moveit/issues/2293>)
  * [fix] Segfault when editing pose in moveit_setup_assistant (#2340 <https://github.com/ros-planning/moveit/issues/2340>)
  * [fix] disappearing robot on change of reference frame (#2335 <https://github.com/ros-planning/moveit/issues/2335>)
  * [fix] robot_description is already loaded in move_group.launch (#2313 <https://github.com/ros-planning/moveit/issues/2313>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Michael Görner, Robert Haschke, Tyler Weaver, Yoan Mollard

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 13 Oct 2020 06:00:00 -0000

ros-rolling-moveit-setup-assistant (1.1.0-1focal) focal; urgency=high

  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Add default velocity/acceleration scaling factors (#1890 <https://github.com/ros-planning/moveit/issues/1890>)
  * [feature] MSA: use matching group/state name for default controller state (#1936 <https://github.com/ros-planning/moveit/issues/1936>)
  * [feature] MSA: Restore display of current directory (#1932 <https://github.com/ros-planning/moveit/issues/1932>)
  * [feature] Cleanup: use range-based for-loop (#1830 <https://github.com/ros-planning/moveit/issues/1830>)
  * [feature] Add delete process to the doneEditing() function in end_effectors_widgets (#1829 <https://github.com/ros-planning/moveit/issues/1829>)
  * [feature] Fix Rviz argument in demo_gazebo.launch (#1797 <https://github.com/ros-planning/moveit/issues/1797>)
  * [feature] Allow user to specify planner termination condition. (#1695 <https://github.com/ros-planning/moveit/issues/1695>)


=== debian/control ===
Source: ros-rolling-moveit-setup-assistant
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libyaml-cpp-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-resources-panda-moveit-config, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-visualization, ros-rolling-ompl, ros-rolling-rclcpp, ros-rolling-srdfdom, ros-rolling-urdf, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-setup-assistant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-rolling-ament-index-cpp, ros-rolling-moveit-core, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-visualization, ros-rolling-rclcpp, ros-rolling-srdfdom, ros-rolling-urdf, ros-rolling-xacro, ros-rolling-ros-workspace
Description: Generates a configuration package that makes it easy to use MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-setup-assistant//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-moveit-setup-assistant 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_setup_assistant LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(Boost REQUIRED program_options)
find_package(moveit_setup_framework REQUIRED)
find_package(moveit_setup_srdf_plugins REQUIRED)
find_package(pluginlib REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(rclcpp REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  ament_index_cpp
  moveit_setup_framework
  moveit_setup_srdf_plugins
  pluginlib
  Qt5Core
  Qt5Widgets
  rclcpp
)

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set(HEADERS
  include/moveit_setup_assistant/navigation_widget.hpp
  include/moveit_setup_assistant/setup_assistant_widget.hpp
)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
add_definitions(-DQT_NO_KEYWORDS)

qt5_wrap_cpp(MOC_FILES
  ${HEADERS}
)

add_executable(moveit_setup_assistant
    src/main.cpp
    src/setup_assistant_widget.cpp
    src/navigation_widget.cpp
    ${MOC_FILES}
)
target_include_directories(moveit_setup_assistant PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/moveit_setup_assistant>
)
ament_target_dependencies(
  moveit_setup_assistant
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
target_link_libraries(moveit_setup_assistant
  ${Boost_LIBRARIES}
)

add_executable(moveit_setup_assistant_updater src/collisions_updater.cpp)
target_include_directories(moveit_setup_assistant_updater PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/moveit_setup_assistant>)

ament_target_dependencies(
  moveit_setup_assistant_updater
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

set_target_properties(
  moveit_setup_assistant_updater
  PROPERTIES OUTPUT_NAME collisions_updater
  PREFIX ""
)

install(
  TARGETS
    moveit_setup_assistant
    moveit_setup_assistant_updater
  EXPORT moveit_setup_assistantTargets
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/moveit_setup_assistant
  INCLUDES DESTINATION include/moveit_setup_assistant
)
install(DIRECTORY include/
        DESTINATION include/moveit_setup_assistant
)
ament_export_include_directories(include)
install(DIRECTORY launch DESTINATION share/moveit_setup_assistant)
install(DIRECTORY resources DESTINATION share/moveit_setup_assistant)
ament_export_targets(moveit_setup_assistantTargets HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

# Unit tests
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-moveit-setup-assistant (2.8.0-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-setup-assistant (2.7.4-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-setup-assistant (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-setup-assistant (2.7.2-2jammy) jammy; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-setup-assistant (2.7.1-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-setup-assistant (2.7.0-2jammy) jammy; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-moveit-setup-assistant (2.6.0-2jammy) jammy; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-moveit-setup-assistant (2.5.3-2jammy) jammy; urgency=high

  * Organize package xml of MSA (#1454 <https://github.com/ros-planning/moveit2/issues/1454>)
  * Contributors: Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-moveit-setup-assistant (2.5.2-2jammy) jammy; urgency=high

  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * Fix compile issues
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * [MSA] ros2_control Integration (#1299 <https://github.com/ros-planning/moveit2/issues/1299>)
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Initial Controllers and Simulation Steps Port (#1252 <https://github.com/ros-planning/moveit2/issues/1252>)
  * [MSA] Launch Updates (#1247 <https://github.com/ros-planning/moveit2/issues/1247>)
  * [MSA] Merge main into feature/msa (Part II) (#1240 <https://github.com/ros-planning/moveit2/issues/1240>)
  * [MSA] Three small edits (#1203 <https://github.com/ros-planning/moveit2/issues/1203>)
  * [MSA] Add Setup Step for Generating Launch Files (#1129 <https://github.com/ros-planning/moveit2/issues/1129>)
  * [MSA] Fix arg parsing in main (#1110 <https://github.com/ros-planning/moveit2/issues/1110>)
  * [MSA] Simplify loading of new SRDF (#1102 <https://github.com/ros-planning/moveit2/issues/1102>)
  * [MSA] SRDF Setup (#1057 <https://github.com/ros-planning/moveit2/issues/1057>)
  * [MSA] Navigation Widget Fixes (#1054 <https://github.com/ros-planning/moveit2/issues/1054>)
  * [MSA] Initial Refactor
  * [MSA] Move Files Around (split into multiple packages, change to hpp extension)
  * Contributors: David V. Lu!!, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 22:00:00 -0000

ros-rolling-moveit-setup-assistant (2.5.1-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 22:00:00 -0000

ros-rolling-moveit-setup-assistant (2.5.0-2jammy) jammy; urgency=high

  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * Merge https://github.com/ros-planning/moveit/commit/424a5b7b8b774424f78346d1e98bf1c9a33f0e78
  * Merge #3081 <https://github.com/ros-planning/moveit2/issues/3081>: Improve Gazebo-compatible URDF generation in MSA
  * Add inertial/origin tag


=== debian/control ===
Source: ros-rolling-moveit-setup-assistant
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-rolling-ament-clang-format <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-lint-cmake <!nocheck>, ros-rolling-ament-cmake-xmllint <!nocheck>, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-moveit-resources-panda-moveit-config <!nocheck>, ros-rolling-moveit-setup-framework, ros-rolling-moveit-setup-srdf-plugins, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-setup-assistant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtbase5-dev, ros-rolling-ament-index-cpp, ros-rolling-moveit-setup-app-plugins, ros-rolling-moveit-setup-controllers, ros-rolling-moveit-setup-core-plugins, ros-rolling-moveit-setup-framework, ros-rolling-moveit-setup-srdf-plugins, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: Generates a configuration package that makes it easy to use MoveIt

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
